## sublime-music 0.9.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

SPHINXDOCBUILD = sphinx-apidoc
SPHINXDOCOPTS  = -f -e -T
DOCSSOURCE     = ./api/
PROJECTDIR     = ../sublime/

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -rf _build

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXDOCBUILD) $(SPHINXDOCOPTS) -o $(DOCSSOURCE) $(PROJECTDIR)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/logo/Makefile ===
RAW_DIMENS=16 22 24 32 36 48 64 72 96 128 192 512 1024
DIMENS=$(join $(RAW_DIMENS:%=%x), $(RAW_DIMENS))
PNGFILES=$(patsubst %, build/%.png, $(DIMENS))

all: $(PNGFILES)

builddir:
	mkdir -p build

build/%.png: icon.svg | builddir
	inkscape -z -e $@ -w $(*F) $<

clean:
	rm -rf build

=== debian/changelog ===
sublime-music (0.9.1-2) unstable; urgency=medium

  * No changes: rebuild for a source-only upload.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 20 Jul 2020 18:10:04 -0400

sublime-music (0.9.1-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: verify the tag signatures, as upstream now signs tags.
  * d/patches: remove 0001, as it's been upstreamed.
  * d/upstream/signing-key.asc remove extra signatures.
  * d/control: use debhelper 13

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 14 May 2020 01:45:49 -0400

sublime-music (0.9.0-1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/watch: use git tags instead of the pypi release.
  * add a salsa-ci.yml file to configure the CI.
  * d/control: add myself as Uploader and package this under the PAPT.
  * d/gbp.conf: use the PAPT defaults.
  * d/control: use the latest standards.
  * d/control: use the 'sound' section instead of the broader 'python' one.
  * d/source/options: delete the file, as it's not needed with the git tags.
  * remove docs file, as upstream's README isn't helpful.
  * d/upstream: add metadata file.
  * d/copyright: add the GPL-3 header and add myself for debian/* files.
  * d/control: python3-mpv is needed to run the program.
  * d/control: gir1.2-nm-1.0 is needed to run the program.

  [ Antoine Beaupré ]
  * tweak for unstable (Closes: #955133)
  * Autogenerated by py2dsp v2.20180804

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 11 May 2020 21:53:20 -0400

=== debian/control ===
Source: sublime-music
Section: sound
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>, Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               gir1.2-gtk-3.0,
               gir1.2-nm-1.0,
               gobject-introspection,
               network-manager-dev,
               python3-all,
               python3-bottle,
               python3-dateutil,
               python3-deepdiff,
               python3-deprecated,
               python3-fuzzywuzzy,
               python3-gi,
               python3-keyring,
               python3-levenshtein,
               python3-pychromecast,
               python3-requests,
               python3-setuptools,
               python3-yaml,
Standards-Version: 4.5.0
Homepage: https://gitlab.com/sumner/sublime-music
Vcs-Browser: https://salsa.debian.org/python-team/applications/sublime-music
Vcs-Git: https://salsa.debian.org/python-team/applications/sublime-music.git

Package: sublime-music
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         gir1.2-gtk-3.0,
         gir1.2-nm-1.0,
         python3-gi,
         python3-mpv,
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, network-manager
Description: native GTK *sonic client
 Sublime Music is a GTK3 Revel/Gonic/Subsonic/Airsonic/*sonic client
 for the Linux Desktop.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sublime-music
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "W: disabled auto-tests because of missing NetworkManager gi in Debian"

## sublime-music 0.11.10

=== debian/changelog ===
sublime-music (0.11.10-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: fix GI import warning.
  * d/rules: fix icons install path.
  * d/sublime-music.install: install .desktop file.
  * d/rules: fix and simply data files cleanup.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 24 Oct 2020 19:25:28 -0400

sublime-music (0.11.9-1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * New upstream version.
  * d/control: update dependencies.
  * d/control: build the man page for sublime-music.
  * d/rules: move data files to /usr/share.
  * d/copyright: update for sublime-music.metainfo.xml.
  * d/sublime-music.install: install the desktop logo.
  * d/rules: re-enable the testsuite.
  * d/tests: run the testsuite as an autopkgtest.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 30 Sep 2020 23:22:37 -0400

=== debian/control ===
Source: sublime-music
Section: sound
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>,
           Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-pytest <!nocheck>,
               gir1.2-gtk-3.0 <!nocheck>,
               gir1.2-nm-1.0 <!nocheck>,
               gobject-introspection <!nocheck>,
               network-manager-dev <!nocheck>,
               python3-bottle <!nocheck>,
               python3-dataclasses-json <!nocheck>,
               python3-dateutil <!nocheck>,
               python3-deepdiff <!nocheck>,
               python3-fuzzywuzzy <!nocheck>,
               python3-gi <!nocheck>,
               python3-keyring <!nocheck>,
               python3-levenshtein <!nocheck>,
               python3-mpv <!nocheck>,
               python3-peewee <!nocheck>,
               python3-pychromecast <!nocheck>,
               python3-requests <!nocheck>,
               python3-semver <!nocheck>,
               python3-bleach <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://gitlab.com/sumner/sublime-music
Vcs-Browser: https://salsa.debian.org/python-team/packages/sublime-music
Vcs-Git: https://salsa.debian.org/python-team/packages/sublime-music.git

Package: sublime-music
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         gir1.2-gtk-3.0,
         gir1.2-nm-1.0,
Recommends: ${python3:Recommends},
            python3-keyring,
            python3-bottle,
            python3-pychromecast,
            libnotify4,
Suggests: ${python3:Suggests}, network-manager
Description: native GTK *sonic client
 Sublime Music is a native GTK3 Revel/Gonic/Subsonic/Airsonic/*sonic
 client for the Linux Desktop.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sublime-music

BUILDDIR = debian/$(PYBUILD_NAME)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --test-pytest

override_dh_install:
	dh_install
	# Install the logo files manually
	for size in 16 22 32 48 64 72 96 128 192 512 1024; do \
		install -D -p -m 0644 logo/rendered/$${size}.png $(BUILDDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps/sublime-music.png; \
	done
	# Remove data files that have been copied in /usr/share already
	rm -R $(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/adapters/icons \
		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/adapters/images \
		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/adapters/subsonic/icons \
		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/ui/icons \
		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/ui/images \
		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/dbus/mpris_specs

override_dh_installman:
	cd docs && $(MAKE) man
	dh_installman docs/_build/man/sublime-music.1

## sublime-music 0.11.16

=== logo/Makefile ===
DIMENS=16 22 24 32 36 48 64 72 96 128 192 512 1024
PNGFILES=$(patsubst %, rendered/%.png, $(DIMENS))

all: $(PNGFILES)

rendereddir:
	mkdir -p rendered

rendered/%.png: icon.svg | rendereddir
	inkscape --export-filename=$@ -w $(*F) $<

clean:
	rm -rf rendered

=== debian/changelog ===
sublime-music (0.11.16-3) unstable; urgency=medium

  * Team upload.
  * dh-python-pep517 is replaced by pybuild-plugin-pyproject

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Feb 2022 22:30:05 -0400

sublime-music (0.11.16-2) unstable; urgency=medium

  * d/control: migrate to pybuild's pep517 plugin and poetry.
  * d/rules: use execute_after instead of override.
  * d/rules: build the HTML sphinx docs.
  * d/rules: build the manpage differently.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 17 Dec 2021 23:25:10 -0500

sublime-music (0.11.16-1) unstable; urgency=medium

  * New upstream release. (Closes: 997482, 966400)
  * d/patches: remove 0002, it was upstreamed.
  * d/patches: add 0003, as we still need a setup.py.
  * d/patches: Remove fixed tests in 0001 and refresh it.
  * d/control: Standards-Version bump. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 11 Nov 2021 22:01:47 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-setuptools,
+               pybuild-plugin-pyproject,
+               python3-poetry-core,
                python3-all,
                python3-sphinx,
                python3-sphinx-rtd-theme,
@@ -30,7 +31,7 @@
                python3-requests <!nocheck>,
                python3-semver <!nocheck>,
                python3-bleach <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/sumner/sublime-music
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sublime-music
 Vcs-Git: https://salsa.debian.org/python-team/packages/sublime-music.git

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --test-pytest
 
-override_dh_install:
-	dh_install
+
+execute_after_dh_install:
 	# Install the logo files manually
 	for size in 16 22 32 48 64 72 96 128 192 512 1024; do \
 		install -D -p -m 0644 logo/rendered/$${size}.png $(BUILDDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps/sublime-music.png; \
@@ -21,6 +21,10 @@
 		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/ui/images \
 		$(BUILDDIR)/usr/lib/python*/dist-packages/sublime_music/dbus/mpris_specs
 
+execute_before_dh_sphinxdoc:
+	PYTHONPATH=. sphinx-build -b html docs debian/sublime-music/usr/share/doc/sublime-music/html
+
 override_dh_installman:
-	cd docs && $(MAKE) man
-	dh_installman docs/_build/man/sublime-music.1
+	PYTHONPATH=. sphinx-build -b man docs debian/tmp/
+	rm -rf debian/tmp/.doctrees  # see BTS 966325
+	dh_installman debian/tmp/sublime-music.1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
https://gitlab.com/sumner/sublime-music.git \
refs/tags/v([\d\.]+)

## sublime-music 0.12.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --output-file=requirements.txt pyproject.toml
#
bleach==5.0.1
    # via sublime_music (pyproject.toml)
certifi==2022.12.7
    # via requests
charset-normalizer==2.1.1
    # via requests
dataclasses-json==0.5.7
    # via sublime_music (pyproject.toml)
deepdiff==6.2.3
    # via sublime_music (pyproject.toml)
idna==3.4
    # via requests
levenshtein==0.20.9
    # via sublime_music (pyproject.toml)
marshmallow==3.19.0
    # via
    #   dataclasses-json
    #   marshmallow-enum
marshmallow-enum==1.5.1
    # via dataclasses-json
mypy-extensions==0.4.3
    # via typing-inspect
ordered-set==4.1.0
    # via deepdiff
orjson==3.9.1
    # via deepdiff
packaging==23.0
    # via marshmallow
peewee==3.15.4
    # via sublime_music (pyproject.toml)
pycairo==1.23.0
    # via pygobject
pygobject==3.42.2
    # via sublime_music (pyproject.toml)
python-dateutil==2.8.2
    # via sublime_music (pyproject.toml)
python-mpv==1.0.1
    # via sublime_music (pyproject.toml)
rapidfuzz==2.13.7
    # via levenshtein
requests==2.28.2
    # via sublime_music (pyproject.toml)
semver==2.13.0
    # via sublime_music (pyproject.toml)
six==1.16.0
    # via
    #   bleach
    #   python-dateutil
thefuzz==0.19.0
    # via sublime_music (pyproject.toml)
typing-extensions==4.4.0
    # via typing-inspect
typing-inspect==0.8.0
    # via dataclasses-json
urllib3==1.26.13
    # via requests
webencodings==0.5.1
    # via bleach

=== docs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SPHINXDOCBUILD = sphinx-apidoc
 SPHINXDOCOPTS  = -f -e -T
 DOCSSOURCE     = ./api/
-PROJECTDIR     = ../sublime/
+PROJECTDIR     = ../sublime_music/
 
 # Put it first so that "make" without argument is like "make help".
 help:

=== debian/changelog ===
sublime-music (0.12.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1015222)
  * d/watch: use new upstream repository. (Closes: #1051263)
  * d/control: update dependencies.
  * d/patches: drop 0004, it has been upstreamed.
  * d/patches: rebase and remove obsolete part of 0001.
  * d/patches: add 0005 to skip broken test.
  * d/tests: remove in favor of pybuild-autopkgtests.
  * d/control: Standards-Version update to 4.6.2. No changes required.
  * d/py3dist-overrides: force add 2 dependencies.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 06 Sep 2023 16:55:19 -0400

sublime-music (0.11.16-4) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/patches: add 0004 to fix Python 3.11 issue. (Closes: #1025192)
  * d/control: Standards-Version update to 4.6.1. No changes.

  [ Andrej Shadura ]
  * d/control: use dh-sequence-python3 and declare Python 3.8 as the minimum
    supported version.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 01 Dec 2022 15:03:23 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Louis-Philippe Véronneau <pollo@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
-               python3-poetry-core,
-               python3-all,
+               flit,
+               python3-all (>= 3.8),
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-pytest <!nocheck>,
@@ -21,7 +21,7 @@
                python3-dataclasses-json <!nocheck>,
                python3-dateutil <!nocheck>,
                python3-deepdiff <!nocheck>,
-               python3-fuzzywuzzy <!nocheck>,
+               python3-thefuzz <!nocheck>,
                python3-gi <!nocheck>,
                python3-keyring <!nocheck>,
                python3-levenshtein <!nocheck>,
@@ -31,10 +31,12 @@
                python3-requests <!nocheck>,
                python3-semver <!nocheck>,
                python3-bleach <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
+X-Python3-Version: >= 3.8
 Homepage: https://gitlab.com/sumner/sublime-music
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sublime-music
 Vcs-Git: https://salsa.debian.org/python-team/packages/sublime-music.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: sublime-music
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BUILDDIR = debian/$(PYBUILD_NAME)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --test-pytest
+	dh $@ --with sphinxdoc --buildsystem=pybuild --test-pytest
 
 
 execute_after_dh_install:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
https://github.com/sublime-music/sublime-music.git \
refs/tags/v([\d\.]+)
